﻿using UnityEngine;
using System.Collections;

public class BackPlane : MonoBehaviour {

	private GameManager gameManager;
	private bool transition;

	// Use this for initialization
	void Start () {
		transition = true;
		transform.position= new Vector3 (transform.position.x,transform.position.y,9.0f);
		animation.Play("PlaneLeft");
		gameManager = (GameManager)GameObject.Find("_GameManager").GetComponent(typeof(GameManager));
	}
	
	// Update is called once per frame
	void Update () {
		
		if (transition && !animation.isPlaying){
			transition = false;
			gameManager.removeOldBack();
			transform.position= new Vector3 (transform.position.x,transform.position.y,10.0f);
		}

	}
}
