﻿using UnityEngine;
using System.Collections;

public class Punch : MonoBehaviour {

	public float stunTime=1.0f;

	private float destroyTime = 0.1f;

	private int playerNum=0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		destroyTime -= Time.deltaTime;
		if (destroyTime <= 0f){
			Destroy (this.gameObject);
		}
	}

	public void setColor(int newPlayerNum){
		Debug.Log("Color set as " + newPlayerNum);
		playerNum = newPlayerNum;
	}

	void OnTriggerStay(Collider other){
		if (other.tag == "Player"){
			MovementController tempPlayer = (MovementController)other.GetComponent(typeof(MovementController));
			if (tempPlayer.playerNum != playerNum){
				tempPlayer.stun(stunTime);
			}
		}
	}

}
