﻿using UnityEngine;
using System.Collections;

public class CameraScroll : MonoBehaviour {

	private static CameraScroll instance = null;

	public bool isHorz = true;
	private Vector3 startPos;

	// Use this for initialization
	void Awake () {
		if (instance != null && instance != this) {
			Destroy(this.gameObject);
			return;
		} else {
			instance = this;
		}
		DontDestroyOnLoad(this.gameObject);
	}

	// Use this for initialization
	void Start () {
		startPos = transform.position;
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnLevelWasLoaded(int level) {
		transform.position = startPos;
	}

	public void updateCoord(Transform playerTrans){
		if (isHorz){
			if (playerTrans.position.x > transform.position.x){
				transform.position = new Vector3(playerTrans.position.x,transform.position.y,transform.position.z);
			}
		}else{
			if (playerTrans.position.y > transform.position.y){
				transform.position = new Vector3(transform.position.x,playerTrans.position.y,transform.position.z);
			}
		}
	}
}
