﻿using UnityEngine;
using System.Collections;

public class Platform : MonoBehaviour {

	private GameManager gameManager;
	private Color platformColor;
	private int platformNumber;

	// Use this for initialization
	void Start () {

		gameManager = (GameManager)GameObject.Find("_GameManager").GetComponent(typeof(GameManager));
		platformNumber = gameManager.getRandColor();
		platformColor = gameManager.getColor(platformNumber);
		renderer.material.color=platformColor;
	}
	
	// Update is called once per frame
	void Update () {
		if (gameManager.getCurrColor() == platformNumber){
			collider.enabled=false;
		}else{
			collider.enabled=true;
		}
	}
}
